from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleRelationSet(XInterface, Protocol):
    def getRelationCount(self) -> int: ...
    def containsRelation(self, eRelationType: AccessibleRelationType) -> bool: ...
    def getRelationByType(self, eRelationType: AccessibleRelationType) -> AccessibleRelation: ...
